/**
 * Copyright (C) 2012 Matteo Tamigi
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, 
 * USA.
 */
 
//Librerie principali del C++
#include <iostream>
#include <fstream>
#include <vector>
#include <cstring>
#include <conio.h>
using namespace std;
//Librerie per le varie classi C++ del progetto
#include "PDFSec.hpp"

//Da includere per la compilazione non separata
#include "PDFSec.cpp"
#include "PDFParser.cpp"
#include "PDFCrack.cpp"
#include "md5.c"

#include <time.h>


//Main di test per le funzioni
int main () {
    time_t start, stop;
        
    PDFSec p;
    
    p.SetFile("file.pdf");
    p.LoadPdfInfos();
    p.PrintInfos();
    p.initCracking();
    
    start = clock();
    cout << endl << "Trovata la password: '"<< p.crackUserPassword() << "'";
    stop = clock();
    cout << " in " << stop - start << " msec" << endl;
    getch();
}
